Scriptname _CNO_DetectionScript extends ActiveMagicEffect

_CNO_MCM Property Mcm Auto
_CNO_MainScript Property MainScr Auto

Event OnForceCheckOutfit()
	MainScr.CNO_Log("[CNO] - OnForceCheckOutfit")
	Self.Dispel()
EndEvent

Event OnEffectStart(Actor akTarget, Actor akCaster)
	RegisterForModEvent("ForceCheckOutfit", "OnForceCheckOutfit")
	if Mcm.InteriorOnly == False
		if StorageUtil.FormListHas(none, "CNO_CheckedActorList", akTarget)
			return
		endif
		Outfit TempOutfit = akTarget.GetActorBase().GetOutfit()
		if TempOutfit == none
			TempOutfit = akTarget.GetLeveledActorBase().GetOutfit()
		endif
		if TempOutfit == none
			return
		endif
		MainScr.CNO_Log("[CNO] - OnEffectStart - " + akTarget.GetDisplayName() + " - " + akTarget.GetFormID() + " Outfit: " + TempOutfit.GetFormID())
		if StorageUtil.FormListFind(none, "CNO_CheckOutfitList_DW", TempOutfit) != -1
			Int OutfitIndex = StorageUtil.FormListFind(none, "CNO_CheckOutfitList_DW", TempOutfit)
			if OutfitIndex >= 0 && OutfitIndex <= 7
				if Mcm.BanditOutfitIndex_1 == -1 && Mcm.BanditOutfitIndex_2 == -1 && Mcm.BanditOutfitIndex_3 == -1 && Mcm.BanditOutfitIndex_4 == -1 && Mcm.BanditOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Bandit", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Bandit", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Bandit")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Bandits")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 8 && OutfitIndex <= 10
				if Mcm.ImperialOutfitIndex_1 == -1 && Mcm.ImperialOutfitIndex_2 == -1 && Mcm.ImperialOutfitIndex_3 == -1 && Mcm.ImperialOutfitIndex_4 == -1 && Mcm.ImperialOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Imperial", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Imperial")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Imperial")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 11 && OutfitIndex <= 13 ; forsworn
				if Mcm.ForswornOutfitIndex_1 == -1 && Mcm.ForswornOutfitIndex_2 == -1 && Mcm.ForswornOutfitIndex_3 == -1 && Mcm.ForswornOutfitIndex_4 == -1 && Mcm.ForswornOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Forsworn", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Forsworn")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Forsworn")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 14 && OutfitIndex <= 16 ; vampire
				if Mcm.VampireOutfitIndex_1 == -1 && Mcm.VampireOutfitIndex_2 == -1 && Mcm.VampireOutfitIndex_3 == -1 && Mcm.VampireOutfitIndex_4 == -1 && Mcm.VampireOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Vampire", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Vampire")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Vampire")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Vampire")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Vampire")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			elseif OutfitIndex >= 17 && OutfitIndex <= 19 ; stormcloak
				if Mcm.StormcloakOutfitIndex_1 == -1 && Mcm.StormcloakOutfitIndex_2 == -1 && Mcm.StormcloakOutfitIndex_3 == -1 && Mcm.StormcloakOutfitIndex_4 == -1 && Mcm.StormcloakOutfitIndex_5 == -1
					if StorageUtil.FormListHas(none, "CNO_SavedActors_Stormcloak", akTarget)
						return
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Stormcloak")
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				else
					StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: Stormcloak")
					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (StorageUtil.FormListGet(none, "CNO_CheckOutfitList_DW", OutfitIndex)))
					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
					if !MainScr.UpdateBusy
						MainScr.RegisterForSingleUpdate(0.5)
					endif
					return
				endif
			endif
;		elseif akTarget.GetFactionRank(MainScr.ForswornFaction) >= 0 && akTarget.GetFactionRank(MainScr.ForswornFaction) != 99 && Mcm.PostSpawnedForsworn
;			if  !StorageUtil.FormListHas(none, "CNO_SavedActors_Forsworn", akTarget) || Mcm.ForceCheckOutfit
;				Int TotalWeight = Mcm.ForswornOutfitChance_1 + Mcm.ForswornOutfitChance_2 + Mcm.ForswornOutfitChance_3 + Mcm.ForswornOutfitChance_4 + Mcm.ForswornOutfitChance_5
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
;				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
;				if (TempRandInt <= Mcm.ForswornOutfitChance_1) && Mcm.ForswornOutfitIndex_1 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 11")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_11)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.ForswornOutfitChance_1
;				endif
;				if (TempRandInt <= Mcm.ForswornOutfitChance_2) && Mcm.ForswornOutfitIndex_2 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 12")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_12)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.ForswornOutfitChance_2
;				endif
;				if (TempRandInt <= Mcm.ForswornOutfitChance_3) && Mcm.ForswornOutfitIndex_3 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 13")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_13)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.ForswornOutfitChance_3
;				endif
;				if (TempRandInt <= Mcm.ForswornOutfitChance_4) && Mcm.ForswornOutfitIndex_4 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 14")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_14)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.ForswornOutfitChance_4
;				endif
;				if Mcm.ForswornOutfitIndex_5 != -1 && Mcm.ForswornOutfitChance_4 != 0
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 15")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Forsworn", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_15)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Forsworn")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				endif
;			endif
;		elseif akTarget.GetFactionRank(MainScr.VampireFaction) >= 0 && akTarget.GetFactionRank(MainScr.VampireFaction) != 99 && Mcm.PostSpawnedVampire
;			if !StorageUtil.FormListHas(none, "CNO_SavedActors_Vampire", akTarget) || Mcm.ForceCheckOutfit
;				Int TotalWeight = Mcm.VampireOutfitChance_1 + Mcm.VampireOutfitChance_2 + Mcm.VampireOutfitChance_3 + Mcm.VampireOutfitChance_4 + Mcm.VampireOutfitChance_5
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
;				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
;				if (TempRandInt <= Mcm.VampireOutfitChance_1) && Mcm.VampireOutfitIndex_1 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 21")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_21)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.VampireOutfitChance_1
;				endif
;				if (TempRandInt <= Mcm.VampireOutfitChance_2) && Mcm.VampireOutfitIndex_2 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 22")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_22)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.VampireOutfitChance_2
;				endif
;				if (TempRandInt <= Mcm.VampireOutfitChance_3) && Mcm.VampireOutfitIndex_3 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 23")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_23)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.VampireOutfitChance_3
;				endif
;				if (TempRandInt <= Mcm.VampireOutfitChance_4) && Mcm.VampireOutfitIndex_4 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 24")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_24)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.VampireOutfitChance_4
;				endif
;				if Mcm.VampireOutfitIndex_5 != -1 && Mcm.VampireOutfitChance_4 != 0
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 25")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Vampire", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_25)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				endif
;			endif
;		elseif akTarget.IsInFaction(MainScr.ImperialFaction) && akTarget.GetFactionRank(MainScr.ImperialFaction) != 99 && Mcm.PostSpawnedImperial
;			if  !StorageUtil.FormListHas(none, "CNO_SavedActors_Imperial", akTarget) || Mcm.ForceCheckOutfit
;				Int TotalWeight = Mcm.ImperialOutfitChance_1 + Mcm.ImperialOutfitChance_2 + Mcm.ImperialOutfitChance_3 + Mcm.ImperialOutfitChance_4 + Mcm.ImperialOutfitChance_5
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
;				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
;					if (TempRandInt <= Mcm.ImperialOutfitChance_1) && Mcm.ImperialOutfitIndex_1 != -1
;						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 31")
;						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
;						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_31)
;						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;						return
;					else
;						TempRandInt -= Mcm.ImperialOutfitChance_1
;					endif
;					if (TempRandInt <= Mcm.ImperialOutfitChance_2) && Mcm.ImperialOutfitIndex_2 != -1
;						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 32")
;						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
;						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_32)
;						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;						return
;					else
;						TempRandInt -= Mcm.ImperialOutfitChance_2
;					endif
;					if (TempRandInt <= Mcm.ImperialOutfitChance_3) && Mcm.ImperialOutfitIndex_3 != -1
;						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 33")
;						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
;						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_33)
;						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;						return
;					else
;						TempRandInt -= Mcm.ImperialOutfitChance_3
;					endif
;					if (TempRandInt <= Mcm.ImperialOutfitChance_4) && Mcm.ImperialOutfitIndex_4 != -1
;						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 34")
;						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
;						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_34)
;						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;						return
;					else
;						TempRandInt -= Mcm.ImperialOutfitChance_4
;					endif
;					if Mcm.ImperialOutfitIndex_5 != -1 && Mcm.ImperialOutfitChance_4 != 0
;						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 35")
;						StorageUtil.FormListAdd(none, "CNO_SavedActors_Imperial", akTarget, false)
;						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_35)
;						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Imperial")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;						return
;					endif
;			endif
;		elseif akTarget.IsInFaction(MainScr.StormcloakFaction) && akTarget.GetFactionRank(MainScr.StormcloakFaction) != 99 && Mcm.PostSpawnedStormcloak
;			if  !StorageUtil.FormListHas(none, "CNO_SavedActors_Stormcloak", akTarget) || Mcm.ForceCheckOutfit
;				Int TotalWeight = Mcm.StormcloakOutfitChance_1 + Mcm.StormcloakOutfitChance_2 + Mcm.StormcloakOutfitChance_3 + Mcm.StormcloakOutfitChance_4 + Mcm.StormcloakOutfitChance_5
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TotalWeight: " + TotalWeight)
;				Int TempRandInt = Utility.RandomInt(0, TotalWeight)
;				MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - TempRandInt: " + TempRandInt)
;				if (TempRandInt <= Mcm.StormcloakOutfitChance_1) && Mcm.StormcloakOutfitIndex_1 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 41")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_41)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.StormcloakOutfitChance_1
;				endif
;				if (TempRandInt <= Mcm.StormcloakOutfitChance_2) && Mcm.StormcloakOutfitIndex_2 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 42")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_42)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.StormcloakOutfitChance_2
;				endif
;				if (TempRandInt <= Mcm.StormcloakOutfitChance_3) && Mcm.StormcloakOutfitIndex_3 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 43")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_43)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.StormcloakOutfitChance_3
;				endif
;				if (TempRandInt <= Mcm.StormcloakOutfitChance_4) && Mcm.StormcloakOutfitIndex_4 != -1
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 44")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_44)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				else
;					TempRandInt -= Mcm.StormcloakOutfitChance_4
;				endif
;				if Mcm.StormcloakOutfitIndex_5 != -1 && Mcm.StormcloakOutfitChance_4 != 0
;					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 45")
;					StorageUtil.FormListAdd(none, "CNO_SavedActors_Stormcloak", akTarget, false)
;					StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
;					StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_45)
;					StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "Stormcloak")
;					if !MainScr.UpdateBusy
;						MainScr.RegisterForSingleUpdate(0.5)
;					endif
;					return
;				endif
;			endif
		elseif Mcm.PostSpawnedResidents
			if !StorageUtil.FormListHas(none, "CNO_SavedActors_Residents", akTarget) || Mcm.ForceCheckOutfit
				TempOutfit = akTarget.GetActorBase().GetOutfit()
				Int OutfitIndex = StorageUtil.FormListFind(none, "CNO_CheckOutfitList_Residents", TempOutfit)
				if OutfitIndex == -1
					MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - -1 - OutfitID: " + TempOutfit.GetFormID())
					return
				elseif OutfitIndex == 0
					if Mcm.RESBlacksmithOutfitIndex_1 == -1 && Mcm.RESBlacksmithOutfitIndex_2 == -1 && Mcm.RESBlacksmithOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESBlacksmith", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESBlacksmith", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 131")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (Game.GetFormFromFile(0x0D62, "CNO_Residents.esp") as Outfit))
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESBlacksmith")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESBlacksmith", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 131")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, (Game.GetFormFromFile(0x0D62, "CNO_Residents.esp") as Outfit))
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESBlacksmith")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 1
					if Mcm.RESCourtWizardOutfitIndex_1 == -1 && Mcm.RESCourtWizardOutfitIndex_2 == -1 && Mcm.RESCourtWizardOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESCourtWizard", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 141")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESCourtWizard", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_141)
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESCourtWizard")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 141")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESCourtWizard", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_141)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESCourtWizard")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 2
					if Mcm.RESFarmOutfitIndex_1 == -1 && Mcm.RESFarmOutfitIndex_2 == -1 && Mcm.RESFarmOutfitIndex_3 == -1 && Mcm.RESFarmOutfitIndex_4 == -1 && Mcm.RESFarmOutfitIndex_5 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESFarm", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 151")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFarm", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_151)
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFarm")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 151")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFarm", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_151)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFarm")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 3
					if Mcm.RESFineOutfitIndex_1 == -1 && Mcm.RESFineOutfitIndex_2 == -1 && Mcm.RESFineOutfitIndex_3 == -1 && Mcm.RESFineOutfitIndex_4 == -1 && Mcm.RESFineOutfitIndex_5 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESFine", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 161")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFine", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_161)
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFine")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 161")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESFine", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_161)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESFine")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 4
					if Mcm.RESMerchantOutfitIndex_1 == -1 && Mcm.RESMerchantOutfitIndex_2 == -1 && Mcm.RESMerchantOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESMerchant", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 171")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMerchant", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_171)
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMerchant")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 171")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMerchant", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_171)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMerchant")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 5
					if Mcm.RESMinerOutfitIndex_1 == -1 && Mcm.RESMinerOutfitIndex_2 == -1 && Mcm.RESMinerOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESMiner", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 181")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMiner", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_181)
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMiner")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 181")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMiner", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_181)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMiner")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				elseif OutfitIndex == 6
					if Mcm.RESMonkOutfitIndex_1 == -1 && Mcm.RESMonkOutfitIndex_2 == -1 && Mcm.RESMonkOutfitIndex_3 == -1
						if StorageUtil.FormListHas(none, "CNO_SavedActors_RESMonk", akTarget)
							return
						else
							StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
							MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 191")
							StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMonk", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
							StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
							StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_191)
							StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMonk")
							if !MainScr.UpdateBusy
								MainScr.RegisterForSingleUpdate(0.5)
							endif
							return
						endif
					else
						StorageUtil.FormListAdd(none, "CNO_CheckedActorList", akTarget, false)
						MainScr.CNO_Log("[CNO] - _CNO_DetectionScript - " + akTarget.GetFormID() + " - PickOutfit: 191")
						StorageUtil.FormListAdd(none, "CNO_SavedActors_RESMonk", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_SavedActors_Residents", akTarget, false)
						StorageUtil.FormListAdd(none, "CNO_ScheduledActorList", akTarget, false)
						StorageUtil.SetFormValue(none, "CNO_ScheduledActorOutfit_" + akTarget, MainScr.Outfit_191)
						StorageUtil.SetStringValue(none, "CNO_ScheduledActorFaction_" + akTarget, "RESMonk")
						if !MainScr.UpdateBusy
							MainScr.RegisterForSingleUpdate(0.5)
						endif
						return
					endif
				endif
			endif
		;;;
		endif
	endif
EndEvent